1. Security Event
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Security Event

Show

Developing
GET
http://127.0.0.1:8000/api/security_events/1
Retrieves the details of a specific security event by its ID.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/security_events/1' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "message": "Device found successfully",
    "data": {
        "id": 1,
        "device_id": 1,
        "user_role": "admin",
        "event_type": "multiple_failed_logins",
        "description": "Multiple failed login attempts detected.",
        "source_ip": "10.0.0.5",
        "severity": "high",
        "event_date": "2026-06-05 13:46:37"
    }
}
Modified at 2026-06-19 14:35:29
Previous
Index
Next
Create
Built with